# encoding=gb2312  
# for split train data into train.test and train.train randomly  
# @auther wrchow  
# @date 20120722
'''read data from train.txt'''    
import random

def splitdata(data, M, k, seed): 
  test = [] 
  train = []
  
  random.seed(seed)  
  for line in data: 
    if random.randint(0, M) == k:  
      test.append(line)  
    else:  
      train.append(line) 

  return train, test 

def split_data(trainFile, k, part_train_file, part_test_file):
  records = []
  rankedLine = []
  lineNum = 1
  
  print "-----reading train file ... "
  
  lineList = [line for line in file(trainFile)]
  for line in lineList:
    if lineNum == 1:	#ignore the title in first line
      lineNum += 1
      continue

    records.append(line)
    lineNum += 1

  print "-----split train file ... "

  train, test = splitdata(records, 5, k, 10)
  
  print "-----output train_train file ... "
  
  out = file(part_train_file, 'w')
  for line in train[0:len(train)]: 
    out.write('%s' % (line))

  print "-----output train_test file ... "
  
  out = file(part_test_file, 'w')
  for line in test[0:len(test)]: 
    out.write('%s' % (line))

  print "Ending"